### Method

# Gtk Accessible update_property

#### Declaration [src]

    void
    gtk_accessible_update_property (
      GtkAccessible* self,
      GtkAccessibleProperty first_property,
      ...
    )

#### Description [src]

Updates a list of accessible properties.

See the `GtkAccessibleProperty` documentation for the value types of accessible properties.

This function should be called by `GtkWidget` types whenever an accessible property change must be communicated to assistive technologies.

Example:

    value = gtk_adjustment_get_value (adjustment);
    gtk_accessible_update_property (GTK_ACCESSIBLE (spin_button),
                                       GTK_ACCESSIBLE_PROPERTY_VALUE_NOW, value,
                                       -1);

This method is not directly available to language bindings.

The implementation of this method is provided by `gtk_accessible_update_property_value()` in language bindings.

#### Parameters

`first_property`

  Type: `GtkAccessibleProperty`

  The first accessible property.

`...`

  Type: ``

  A list of property and value pairs, terminated by -1.